package com.zcloud.controller.report;

import com.zcloud.controller.base.BaseController;
import com.zcloud.entity.PageData;
import com.zcloud.util.ReturnMap;
import com.zcloud.util.absreport.BatchReportFactory;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("/reportData")
public class ReportDataController extends BaseController {

    //上报信息
    @ResponseBody
    @RequestMapping("/escalateInformation")
    public ReturnMap escalateInformation() throws Exception {
        PageData pageData = this.getPageData();
        return BatchReportFactory.getInvokeStrategy(pageData.getString("ReportType")).batchReport(pageData, "");
    }

    // 上报记录
    @ResponseBody
    @RequestMapping("/getReportList")
    public ReturnMap getReportList() {
        return ReturnMap.ok();
    }

    // 上报详情
    @ResponseBody
    @RequestMapping("/getReportInfo")
    public ReturnMap getReportInfo() {
        return ReturnMap.ok();
    }
}
